-- Stored procedure
CREATE PROCEDURE [dbo].[C6_S_WritePDFintoDB_CAMPAGNA]
	@CodiceContratto as varchar(11) = null,
	@Rete as varchar(1),
	@CodiceFiscale as varchar(16),
	@NomeCliente as varchar(50),
	@CognomeCliente as varchar(50),
	@TipoReport as varchar(15),
	@img as image = null,
	@CodicePB as varchar(6),
	@NomePB as varchar(50) = null,
	@CognomePB as varchar(50) = null,
	@NumeroPagine as INT
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @Identificativo AS INT
	INSERT INTO [dbo].[C6ReportFisico_CAMPAGNA]
		   ([CodiceContratto]
			,[Rete]
		   ,[Cliente]
		   ,[NomeCliente]
		   ,[CognomeCliente]
		   ,[TipoReport]
		   ,[Data]
		   ,[StatoVerifica]
		   ,[StatoLock]
		   ,[Image]
		   ,[CodicePB]
		   ,[NomePB]
		   ,[CognomePB]
		   ,[NumeroPagine]
           ,[FlagPeriodico])
	 VALUES
		   (@CodiceContratto,
			@Rete,
			@CodiceFiscale,
			@NomeCliente,
			@CognomeCliente,
			@TipoReport,
			getDate(),
			'0',
			'1',
			@img,
			@CodicePB,
			@NomePB,
			@CognomePB,
			@NumeroPagine,
			1)
	SET @Identificativo = @@identity
	INSERT INTO [SEIReport].[dbo].[RepositoryMetadati]
				   ([idInrepository]
				   ,[rete]
				   ,[cod_agente]
				   ,[cod_fiscale]
				   ,[cognome]
				   ,[nome]
				   ,[tipoReport]
				   ,[dataGenerazione]
				   ,[flagLock]
				   ,[flagStoricizzato]
				   ,[flagDefinitivo]
				   ,[repository]
				   ,[CodiceContratto]
				   ,[Note])
			VALUES(
				@identificativo,
				@Rete,
				@CodicePB,
				@CodiceFiscale,
				@CognomeCliente,
				@NomeCliente,
				5, --5 Direct Marketing
				getDate(),
				1,
				0,
				0,
				2, --2 repository Direct Marketing
				@CodiceContratto,
				'Report Centralizzato'
			)
	return  @Identificativo
END